%define xsetup_level 60

Summary:	Live installer
Name:		draklive-install
Version:	2.14
Release:	%mkrel 1
Source0:	http://gitweb.mageia.org/software/draklive-install/snapshot/%{name}-%{version}.tar.xz
License:	GPL
Group:		System/Configuration
Url:		http://gitweb.mageia.org/software/draklive-install/
BuildArch:      noarch
Requires:	drakxtools >= 16.97
Requires:	drakx-installer-matchbox
Requires:	udisks
Requires:	dracut >= 034-8
BuildRequires:	intltool

%description
This tool allows to install %{_vendor} from a running live system.


%prep
%autosetup -p1

%build
%make_build

%install
%makeinstall

for product in default; do
  install -D -m 0755 %{name}.desktop %{buildroot}%{_datadir}/dist/desktop-files/$product/%{name}.desktop
done
install -D -m 0755 %{name} %{buildroot}%{_sbindir}/%{name}
install -m 0755 %{name}-lock-storage %{buildroot}%{_sbindir}/
install -D -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

install -D -m 0644 org.mageia.%{name}.policy %{buildroot}%{_datadir}/polkit-1/actions/org.mageia.%{name}.policy
install -m 0644 org.mageia.%{name}-lock-storage.policy %{buildroot}%{_datadir}/polkit-1/actions/org.mageia.%{name}-lock-storage.policy

mkdir -p %{buildroot}{%_miconsdir,%_iconsdir,%_liconsdir,%_menudir,%_datadir/libDrakX/pixmaps/,%_datadir/applications,%_datadir/icons/hicolor/{16x16,32x32,48x48,64x64}/apps}
install data/icons/IC-installLive-48.png %{buildroot}%_liconsdir/%name.png
install data/icons/IC-installLive-32.png %{buildroot}%_iconsdir/%name.png
install data/icons/IC-installLive-16.png %{buildroot}%_miconsdir/%name.png
cp -l data/icons/IC-installLive-64.png %{buildroot}%_datadir/icons/hicolor/64x64/apps/%name.png
cp -l %{buildroot}%_liconsdir/%name.png %{buildroot}%_datadir/icons/hicolor/48x48/apps/%name.png
cp -l %{buildroot}%_liconsdir/%name.png %{buildroot}%_datadir/icons/hicolor/32x32/apps/%name.png
cp -l %{buildroot}%_liconsdir/%name.png %{buildroot}%_datadir/icons/hicolor/16x16/apps/%name.png
install data/icons/MageiaLive-*.png %{buildroot}%_datadir/libDrakX/pixmaps/
install mageia-draklive-install.desktop %{buildroot}%_datadir/applications/
install -D -m 0755 %{name}.xsetup %{buildroot}%_sysconfdir/X11/xsetup.d/%{xsetup_level}%{name}.xsetup

%find_lang %{name}

%files -f %{name}.lang
%{_sbindir}/%{name}
%{_sbindir}/%{name}-lock-storage
%{_bindir}/%{name}
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/dist/desktop-files/*/*.desktop
%{_datadir}/applications/%{_real_vendor}-draklive-install.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/libDrakX/pixmaps/MageiaLive-*.png
%{_sysconfdir}/X11/xsetup.d/??%{name}.xsetup
%dir %{_sysconfdir}/%{name}.d
%dir %{_sysconfdir}/%{name}.d/sysconfig


%changelog
* Sat May 06 2017 martinw <martinw> 2.14-1.mga6
+ Revision: 1099263
- shutdown instead of reboot after completing install from boot menu
- display message whilst preparing the initial RAM disk

* Wed May 03 2017 akien <akien> 2.13-1.mga6
+ Revision: 1098941
- Proper 2.13 tarball from git

  + schultz <schultz>
    - 2.13
    - Mageia 6 install images

* Mon Apr 17 2017 martinw <martinw> 2.12-1.mga6
+ Revision: 1096605
- avoid out-of-memory error at end of install.
- fix removing Live device from the detected hds.

* Tue Apr 04 2017 akien <akien> 2.11-1.mga6
+ Revision: 1095912
- try to ensure kernel is informed of partition table changes (mga#20619).

* Sun Feb 12 2017 martinw <martinw> 2.10-1.mga6
+ Revision: 1085855
- ensure all selected devices are unmounted before partitioning (mga#20268)
- prevent udisks2-based auto-mounters operating during installation (mga#20247)

* Sat Jan 14 2017 martinw <martinw> 2.9-1.mga6
+ Revision: 1081639
- set a $::isLiveInstall variable for other drakx modules to use
- restore reboot in xsetup (for post-install reboot)

* Mon Dec 19 2016 martinw <martinw> 2.8-1.mga6
+ Revision: 1076170
- use polkit instead of consolehelper to gain root access
- drop useless reboot in xsetup

* Fri Mar 25 2016 ennael <ennael> 2.7-1.mga6
+ Revision: 995272
- New design (Animtim)

* Tue Feb 09 2016 umeabot <umeabot> 2.6-3.mga6
+ Revision: 952763
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 2.6-2.mga6
+ Revision: 930527
- Mageia 6 Mass Rebuild

* Thu May 28 2015 tmb <tmb> 2.6-1.mga5
+ Revision: 822789
- trigger gnome-reboot once after a non-live install too

* Mon May 18 2015 tv <tv> 2.5-1.mga5
+ Revision: 822241
- better reporting of insufficient space (mga#15257)

* Sat May 09 2015 tv <tv> 2.4-1.mga5
+ Revision: 821595
- fix loosing i18n settings on !live install (mga#15273)

* Mon Feb 09 2015 tmb <tmb> 2.3-1.mga5
+ Revision: 814382
- translation updates
- i18n: ensure preferred locale.conf is read (over sysconfig/i18n)

* Wed Dec 17 2014 akien <akien> 2.2-1.mga5
+ Revision: 803838
- 2.2: Mageia 5 artwork + translations

* Wed Oct 15 2014 umeabot <umeabot> 2.1-3.mga5
+ Revision: 742073
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-2.mga5
+ Revision: 678839
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 tmb <tmb> 2.1-1.mga4
+ Revision: 564970
- Mageia 4 design
- translation updates

* Thu Nov 28 2013 tv <tv> 2.0-1.mga4
+ Revision: 553851
- switch from gtk2 to gtk3

* Sat Nov 09 2013 tmb <tmb> 1.40-1.mga4
+ Revision: 550113
- update url
- 1.40:
  - use 'Install on Hard Disk' in both desktop files for consistency
  - use the new /run/mgalive/ovlsize mountpoint to determine image size

* Sat Oct 19 2013 umeabot <umeabot> 1.39-2.mga4
+ Revision: 523436
- Mageia 4 Mass Rebuild

* Sun Apr 21 2013 tv <tv> 1.39-1.mga3
+ Revision: 410671
- ask to confirm exiting (mga#1812)

* Sat Apr 13 2013 tmb <tmb> 1.38-1.mga3
+ Revision: 409923
- Update live installer screens for Mageia 3

* Wed Jan 23 2013 fwang <fwang> 1.37-3.mga3
+ Revision: 391422
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.37-2.mga3
+ Revision: 349088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 tv <tv> 1.37-1.mga3
+ Revision: 329717
- make sure progress bar doesn't go crazy when asked to update with
  the same fraction (migh help mga#7992)
- translation updates

* Sun Apr 22 2012 tmb <tmb> 1.36-1.mga2
+ Revision: 232662
- 1.36
- switch from hal to udisks
- drop P0 (merged)

* Mon Apr 16 2012 blino <blino> 1.35-3.mga2
+ Revision: 231055
- require hal for draklive-install-lock-storage

* Fri Apr 06 2012 tmb <tmb> 1.35-2.mga2
+ Revision: 228832
- fix breakage due to prepare_minimal_root() changes

  + kamil <kamil>
    - new tarball 1.35
      * replace X-MandrivaLinux-CrossDesktop with X-Mageia-CrossDesktop (mga#2449)
    - clean .spec a bit

* Thu May 26 2011 blino <blino> 1.34-1.mga1
+ Revision: 100401
- 1.34
- install default desktop file in /usr/share/dist/desktop-files/<product>/

* Sun May 22 2011 blino <blino> 1.33-1.mga1
+ Revision: 100127
- 1.33

* Sun May 15 2011 pterjan <pterjan> 1.32-3.mga1
+ Revision: 98976
- Rebuild for fixed find-requires

* Sun Apr 17 2011 blino <blino> 1.32-2.mga1
+ Revision: 87442
- install common desktop file for default product flavor

* Sun Apr 03 2011 blino <blino> 1.32-1.mga1
+ Revision: 80204
- 1.32 (use draklive-install as icon name)

* Fri Apr 01 2011 dmorgan <dmorgan> 1.31-1.mga1
+ Revision: 79522
- Fix typo
- Fix typo
- Add mageia cleaned version of draklive-install

  + blino <blino>
    - imported package draklive-install

